Skip to main content
POST
Submit a stack profile suggestion

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

draft_id
string<uuid>
required

Body

application/json
title
string
required
description
string | null
version
integer | null

The draft version last read; a mismatch answers 409.

Response

Suggestion submitted

suggestion
object
required

A change to a profile proposed by another organisation.

spec
object
required

The profile's stack specification: stacks with their add-ons, manifests and variables.

parameters
object[]
required
latest_version
integer
required
changes
object[]
required

Base version to the suggestion.

upstream_changes
object[]
required

Base version to the latest published version.